For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Get Started
    • Introduction
    • Quickstart
    • Authentication
  • API Reference
      • GETList Workspaces
      • POSTCreate Workspace
      • GETGet Workspace
      • DELDelete Workspace
      • PATCHUpdate Workspace
  • Python SDK
    • Install
    • Usage
    • Errors
  • CLI
    • Overview
LogoLogo
API Referenceworkspaces

Get Workspace

GET
/api/v1/workspaces/:workspace_id
GET
/api/v1/workspaces/:workspace_id
$curl https://api.onepin.ai/api/v1/workspaces/workspace_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
4 "name": "Marketing Team Workspace",
5 "slug": "marketing-team",
6 "color_idx": 4,
7 "created_by": "7c9e6679-7425-40de-944b-e07fc1f90ae7",
8 "created_at": "2024-01-15T09:30:00Z",
9 "updated_at": "2024-04-10T14:45:00Z"
10 },
11 "meta": {
12 "request_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
13 "timestamp": "2024-04-10T14:45:00Z"
14 }
15}
Get a workspace the current user is a member of.
Was this page helpful?
Previous

Delete Workspace

Next
Built with

Authentication

AuthorizationBearer
Clerk JWT token

Path parameters

workspace_idstringRequiredformat: "uuid"

Response

Successful Response
dataobject
metaobject

Errors

422
Unprocessable Entity Error